/******************************************************************************
 *
 * \file sml/arg.h
 * \brief SML ARG
 *
 * \if NODOC
 * $Log: arg.h_v $
 * Revision 1.2  2007/05/08 15:45:15  dwilliss
 * SML namespace
 *
 * Revision 1.1  2007/05/04 22:39:37  dwilliss
 * Initial revision
 *
 * \endif
*/
/*****************************************************************************/

#ifndef INC_SML_ARG_H
#define INC_SML_ARG_H

#ifndef INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif

#undef STRING
namespace SML {
	class STRING;
	class SYMBOL;

	/**
	*	Built-in functions get passed an array of these as their second parameter.
	*	This is also what our stack is made up of.
	*/
	typedef union ARG {
		double val;
		SYMBOL *sym;
		STRING *str;
		void *list;
		void *ptr;
		const void* constptr;
		} ARG;

	}	// end of SML namespace

typedef SML::ARG SMLARG;

#endif		//  INC_SML_ARG_H


