/**
 *
 * $Id: TransltnsP.h,v 1.1 2000/11/15 13:34:08 amai Exp $
 * 
 * Copyright (C) 1995 Free Software Foundation, Inc.
 * Copyright (C) 1995-2000 LessTif Development Team
 *
 * This file is part of the GNU LessTif Library.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **/

#ifndef _XM_TRANSLTNSP_H
#define _XM_TRANSLTNSP_H

#include <Xm/XmP.h>

#ifdef __cplusplus
extern "C" {
#endif

XMLIBEXPORT XmConst char _XmArrowB_defaultTranslations[];
XMLIBEXPORT XmConst char _XmBulletinB_defaultTranslations[];
XMLIBEXPORT XmConst char _XmCascadeB_menubar_events[];
XMLIBEXPORT XmConst char _XmCascadeB_p_events[];
XMLIBEXPORT XmConst char _XmClipWindowTranslationTable[];
XMLIBEXPORT XmConst char _XmComboBox_defaultTranslations[];
XMLIBEXPORT XmConst char _XmComboBox_defaultAccelerators[];
XMLIBEXPORT XmConst char _XmComboBox_dropDownComboBoxAccelerators[];
XMLIBEXPORT XmConst char _XmComboBox_dropDownListTranslations[];
XMLIBEXPORT XmConst char _XmComboBox_textFocusTranslations[];
XMLIBEXPORT XmConst char _XmContainer_defaultTranslations[];
XMLIBEXPORT XmConst char _XmContainer_traversalTranslations[];
XMLIBEXPORT XmConst char _XmDragC_defaultTranslations[];
XMLIBEXPORT XmConst char _XmDrawingA_defaultTranslations[];
XMLIBEXPORT XmConst char _XmDrawingA_traversalTranslations[];
XMLIBEXPORT XmConst char _XmDrawnB_defaultTranslations[];
XMLIBEXPORT XmConst char _XmFrame_defaultTranslations[];
XMLIBEXPORT XmConst char _XmGrabShell_translations[];
XMLIBEXPORT XmConst char _XmLabel_defaultTranslations[];
XMLIBEXPORT XmConst char _XmLabel_menuTranslations[];
XMLIBEXPORT XmConst char _XmLabel_menu_traversal_events[];
XMLIBEXPORT XmConst char _XmList_ListXlations1[];
XMLIBEXPORT XmConst char _XmList_ListXlations2[];
XMLIBEXPORT XmConst char _XmManager_managerTraversalTranslations[];
XMLIBEXPORT XmConst char _XmManager_defaultTranslations[];
XMLIBEXPORT XmConst char _XmMenuShell_translations [];
XMLIBEXPORT XmConst char _XmNotebook_manager_translations[];
XMLIBEXPORT XmConst char _XmNotebook_TabAccelerators[];
XMLIBEXPORT XmConst char _XmPrimitive_defaultTranslations[];
XMLIBEXPORT XmConst char _XmPushB_defaultTranslations[];
XMLIBEXPORT XmConst char _XmPushB_menuTranslations[];
XMLIBEXPORT XmConst char _XmRowColumn_menu_traversal_table[];
XMLIBEXPORT XmConst char _XmRowColumn_bar_table[];
XMLIBEXPORT XmConst char _XmRowColumn_option_table[];
XMLIBEXPORT XmConst char _XmRowColumn_menu_table[];
XMLIBEXPORT XmConst char _XmSash_defTranslations[];
XMLIBEXPORT XmConst char _XmScrollBar_defaultTranslations[];
XMLIBEXPORT XmConst char _XmScrolledW_ScrolledWindowXlations[];

/* REMARK: In Motif 2.0 _XmScrolledW_ClipWindowTranslationTable is missing. */
/* REMARK: In Motif 2.0 _XmScrolledW_WorkWindowTranslationTable is missing. */

XMLIBEXPORT XmConst char _XmSelectioB_defaultTextAccelerators[];
XMLIBEXPORT XmConst char _XmSpinB_defaultTranslations[];
XMLIBEXPORT XmConst char _XmSpinB_defaultAccelerators[];
XMLIBEXPORT XmConst char _XmTearOffB_overrideTranslations[];
XMLIBEXPORT XmConst char _XmTextF_EventBindings1[];
XMLIBEXPORT XmConst char _XmTextF_EventBindings2[]; 
XMLIBEXPORT XmConst char _XmTextF_EventBindings3[];
XMLIBEXPORT XmConst char _XmTextIn_XmTextEventBindings1[];
XMLIBEXPORT XmConst char _XmTextIn_XmTextEventBindings2[];
XMLIBEXPORT XmConst char _XmTextIn_XmTextEventBindings3[];
XMLIBEXPORT XmConst char _XmTextIn_XmTextEventBindings3[];
XMLIBEXPORT XmConst char _XmToggleB_defaultTranslations[];
XMLIBEXPORT XmConst char _XmToggleB_menuTranslations[];
XMLIBEXPORT XmConst char _XmVirtKeys_fallbackBindingString[];

/* The following keybindings have been provided for backward compatibility. */

XMLIBEXPORT XmConst char _XmVirtKeys_acornFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_apolloFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_dgFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_decFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_dblclkFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_hpFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_ibmFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_ingrFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_megatekFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_motorolaFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_sgiFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_siemensWx200FallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_siemens9733FallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_sunFallbackBindingString[];
XMLIBEXPORT XmConst char _XmVirtKeys_tekFallbackBindingString[];

#ifdef __cplusplus
}
#endif

#endif /* _XM_TRANSLTNSP_H */
